Subject: [bug#27848] guix: build-system: gnu: Avoid warnings from "libtool finish"

From: Dave Love <[email-masked]>
Date: Mon, 31 Jul 2017 19:17:48 +0100

Ludovic Courtès <[email-masked]> writes:

> I’m not too keen on this approach, in large part because I’ve got used
> to the “ldconfig not found” messages,

It's OK if you know, but I assume it's common for newbies to see it and
waste time, as at least two of us did.

> but also because a simple change
> like this can create more problems than what it solves: packages where
> the “libtool” script lives in a different directory, packages where
> “libtool” is a different thing, packages where it’s read-only or where
> it’s a directory, etc.

OK, but I thought the common case of it at top level was worth fixing.
I guess you could check it's really a libtool script before editing it.

However, is there a good reason not to provide a dummy ldconfig which
does nothing, or prints a message about not doing anything?